@echo off
IF "%OS%" == "Windows_NT" SETLOCAL

IF NOT "%JAVA_HOME%" == "" goto JavaHomeSet
echo The JAVA_HOME environment variable is not defined
GOTO:EOF

:JavaHomeSet

set SCRIPT_DIR=%~dp0%

call "%SCRIPT_DIR%"\setupClasspath.bat

SET TRUSTSTOREPATH="%SCRIPT_DIR%\..\config\control\keystore"
SET TRUSTSTOREPASSWORD=changeit


:Loop
IF "%1"=="" GOTO Continue

IF "%1"=="-truststore" CALL :handleTruststorePath %2
IF "%1"=="-truststorePassword" CALL :handleTruststorePassword %2

SHIFT
GOTO Loop

:handleTruststorePath
SET TRUSTSTOREPATH=%1
SHIFT
GOTO:EOF

:handleTruststorePassword
SET TRUSTSTOREPASSWORD=%1
SHIFT
GOTO:EOF

:Continue
SET JMX_OPTS=%JMX_OPTS% -Djavax.net.ssl.trustStore=%TRUSTSTOREPATH% -Djavax.net.ssl.trustStorePassword=%TRUSTSTOREPASSWORD%

"%JAVA_HOME%"\bin\java %JAVA_OPTS% %JMX_OPTS% -classpath "%CLASSPATH%" com.springsource.server.bootstrap.client.Shutdown %*
