/* 
 * This file is part of the SpringSource dm Server.
 * 
 * Copyright (C) 2008 SpringSource Inc.
 * 
 * The SpringSource dm Server is free software: you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or (at your
 * option) any later version.
 * 
 * The SpringSource dm Server is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
 * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for
 * more details.
 * 
 * You should have received a copy of the GNU General Public License along with
 * the SpringSource dm Server. If not, see <http://www.gnu.org/licenses/>.
 */

package com.springsource.server.deployer.core.internal;

import com.springsource.server.deployer.core.DeploymentException;


/**
 * TODO Document ArtefactNotFoundException
 * <p />
 *
 * <strong>Concurrent Semantics</strong><br />
 *
 * TODO Document concurrent semantics of ArtefactNotFoundException
 *
 * @author awilkinson
 * @since TODO Document 'since'
 */
public final class ArtefactNotFoundException extends DeploymentException {

    /**
     * @param message
     */
    public ArtefactNotFoundException(String message) {
        super(message);
    }

    private static final long serialVersionUID = 7374184559342205863L;
}
