/*
 * Copyright 2007-2008 SpringSource Inc.
 */

package com.springsource.json.parser;


/**
 * Common (marker) super-interface for nodes representing collections, which in JSON terms is either a map node or a
 * list node.
 * 
 * Implementations of this interface must be thread safe.
 * 
 * @author Andy Clement
 * @since 1.0
 */
public interface CollectionNode extends Node {

}
