// $ANTLR 3.0.1 /Users/aclement/workspaces/engine/com.springsource.json/src/main/java/com/springsource/json/parse/core/generated/JsonFormatTreeWalker.g 2008-03-07 17:55:20

	package com.springsource.json.parser.generated;
	
		import com.springsource.json.parser.CollectionNode;
import com.springsource.json.parser.ListNode;
import com.springsource.json.parser.MapNode;
import com.springsource.json.parser.Node;
import com.springsource.json.parser.ScalarNode;
import com.springsource.json.parser.internal.StandardBooleanNode;
import com.springsource.json.parser.internal.StandardListNode;
import com.springsource.json.parser.internal.StandardMapNode;
import com.springsource.json.parser.internal.StandardNullNode;
import com.springsource.json.parser.internal.StandardNumberNode;
import com.springsource.json.parser.internal.StandardStringNode;


import org.antlr.runtime.*;
import org.antlr.runtime.tree.*;import java.util.Stack;
import java.util.List;
import java.util.ArrayList;

public class JsonFormatTreeWalker extends TreeParser {
    public static final String[] tokenNames = new String[] {
        "<invalid>", "<EOR>", "<DOWN>", "<UP>", "NUMBER", "MAP", "MAPLET", "LIST", "KEY", "STRING", "TRUE", "FALSE", "NULL", "String", "SimpleNumber", "Exponent", "NON_ZERO_PREFIXED_DIGITS", "ANY_DIGITS", "EscapeSequence", "DIGIT19", "DIGIT", "UnicodeEscape", "HexDigit", "COMMENT", "LINE_COMMENT", "WHITESPACE", "'{'", "','", "'}'", "':'", "'['", "']'"
    };
    public static final int MAP=5;
    public static final int Exponent=15;
    public static final int ANY_DIGITS=17;
    public static final int NON_ZERO_PREFIXED_DIGITS=16;
    public static final int LIST=7;
    public static final int HexDigit=22;
    public static final int MAPLET=6;
    public static final int NUMBER=4;
    public static final int STRING=9;
    public static final int FALSE=11;
    public static final int SimpleNumber=14;
    public static final int COMMENT=23;
    public static final int LINE_COMMENT=24;
    public static final int DIGIT19=19;
    public static final int WHITESPACE=25;
    public static final int String=13;
    public static final int UnicodeEscape=21;
    public static final int EscapeSequence=18;
    public static final int KEY=8;
    public static final int EOF=-1;
    public static final int NULL=12;
    public static final int DIGIT=20;
    public static final int TRUE=10;

        public JsonFormatTreeWalker(TreeNodeStream input) {
            super(input);
        }
        

    public String[] getTokenNames() { return tokenNames; }
    public String getGrammarFileName() { return "/Users/aclement/workspaces/engine/com.springsource.json/src/main/java/com/springsource/json/parse/core/generated/JsonFormatTreeWalker.g"; }


    	CollectionNode rootNode = null;

    	// A stack is used to hold the current node to provide the parent when constructing a new node
    	Stack<Node> current = new Stack<Node>();
    	
    	// Stacks are used to hold the last of various kinds of nodes but should never be more than one element deep.
    	Stack<Node> valueStack = new Stack<Node>();
    	Stack<MapNode> mapStack = new Stack<MapNode>();
    	Stack<ListNode> listStack = new Stack<ListNode>();
    	Stack<ScalarNode> literalStack = new Stack<ScalarNode>();
    	
    	public CollectionNode getRootNode() {
    		return rootNode;
    	}
    	
    	/**
    	 * Return true if current node is being processed at the top of the tree.
    	 */
    	private boolean atRoot() {
    	  return this.current.isEmpty();
    	}
    	
    	protected void mismatch(IntStream input, int ttype, BitSet follow)
    		throws RecognitionException
    	{
    	  
    	  super.mismatch(input,ttype,follow);
        }



    // $ANTLR start objects
    // /Users/aclement/workspaces/engine/com.springsource.json/src/main/java/com/springsource/json/parse/core/generated/JsonFormatTreeWalker.g:54:1: objects : ( map | list ) ;
    public final void objects() throws RecognitionException {
        try {
            // /Users/aclement/workspaces/engine/com.springsource.json/src/main/java/com/springsource/json/parse/core/generated/JsonFormatTreeWalker.g:55:2: ( ( map | list ) )
            // /Users/aclement/workspaces/engine/com.springsource.json/src/main/java/com/springsource/json/parse/core/generated/JsonFormatTreeWalker.g:55:4: ( map | list )
            {
            // /Users/aclement/workspaces/engine/com.springsource.json/src/main/java/com/springsource/json/parse/core/generated/JsonFormatTreeWalker.g:55:4: ( map | list )
            int alt1=2;
            int LA1_0 = input.LA(1);

            if ( (LA1_0==MAP) ) {
                alt1=1;
            }
            else if ( (LA1_0==LIST) ) {
                alt1=2;
            }
            else {
                NoViableAltException nvae =
                    new NoViableAltException("55:4: ( map | list )", 1, 0, input);

                throw nvae;
            }
            switch (alt1) {
                case 1 :
                    // /Users/aclement/workspaces/engine/com.springsource.json/src/main/java/com/springsource/json/parse/core/generated/JsonFormatTreeWalker.g:55:5: map
                    {
                    pushFollow(FOLLOW_map_in_objects49);
                    map();
                    _fsp--;


                    }
                    break;
                case 2 :
                    // /Users/aclement/workspaces/engine/com.springsource.json/src/main/java/com/springsource/json/parse/core/generated/JsonFormatTreeWalker.g:55:11: list
                    {
                    pushFollow(FOLLOW_list_in_objects53);
                    list();
                    _fsp--;


                    }
                    break;

            }


            }

        }
        catch (RecognitionException re) {
            reportError(re);
            recover(input,re);
        }
        finally {
        }
        return ;
    }
    // $ANTLR end objects

    protected static class map_scope {
        StandardMapNode mapNode;
    }
    protected Stack map_stack = new Stack();


    // $ANTLR start map
    // /Users/aclement/workspaces/engine/com.springsource.json/src/main/java/com/springsource/json/parse/core/generated/JsonFormatTreeWalker.g:58:1: map : ^( MAP ( maplet )* ) ;
    public final void map() throws RecognitionException {
        map_stack.push(new map_scope());

        	((map_scope)map_stack.peek()).mapNode = new StandardMapNode((atRoot()?null:this.current.peek()));
        	this.current.push(((map_scope)map_stack.peek()).mapNode);

        try {
            // /Users/aclement/workspaces/engine/com.springsource.json/src/main/java/com/springsource/json/parse/core/generated/JsonFormatTreeWalker.g:74:2: ( ^( MAP ( maplet )* ) )
            // /Users/aclement/workspaces/engine/com.springsource.json/src/main/java/com/springsource/json/parse/core/generated/JsonFormatTreeWalker.g:74:4: ^( MAP ( maplet )* )
            {
            match(input,MAP,FOLLOW_MAP_in_map81); 

            if ( input.LA(1)==Token.DOWN ) {
                match(input, Token.DOWN, null); 
                // /Users/aclement/workspaces/engine/com.springsource.json/src/main/java/com/springsource/json/parse/core/generated/JsonFormatTreeWalker.g:74:11: ( maplet )*
                loop2:
                do {
                    int alt2=2;
                    int LA2_0 = input.LA(1);

                    if ( (LA2_0==MAPLET) ) {
                        alt2=1;
                    }


                    switch (alt2) {
                	case 1 :
                	    // /Users/aclement/workspaces/engine/com.springsource.json/src/main/java/com/springsource/json/parse/core/generated/JsonFormatTreeWalker.g:74:12: maplet
                	    {
                	    pushFollow(FOLLOW_maplet_in_map84);
                	    maplet();
                	    _fsp--;


                	    }
                	    break;

                	default :
                	    break loop2;
                    }
                } while (true);


                match(input, Token.UP, null); 
            }

            }


            	this.current.pop();
            	if (atRoot()) {
            	  rootNode = ((map_scope)map_stack.peek()).mapNode;
            	} else {
            	  mapStack.push(((map_scope)map_stack.peek()).mapNode);
            	}

        }
        catch (RecognitionException re) {
            reportError(re);
            recover(input,re);
        }
        finally {
            map_stack.pop();
        }
        return ;
    }
    // $ANTLR end map

    protected static class maplet_scope {
        String key;
        Node value;
    }
    protected Stack maplet_stack = new Stack();


    // $ANTLR start maplet
    // /Users/aclement/workspaces/engine/com.springsource.json/src/main/java/com/springsource/json/parse/core/generated/JsonFormatTreeWalker.g:77:1: maplet : ^( MAPLET key value ) ;
    public final void maplet() throws RecognitionException {
        maplet_stack.push(new maplet_scope());
        try {
            // /Users/aclement/workspaces/engine/com.springsource.json/src/main/java/com/springsource/json/parse/core/generated/JsonFormatTreeWalker.g:85:2: ( ^( MAPLET key value ) )
            // /Users/aclement/workspaces/engine/com.springsource.json/src/main/java/com/springsource/json/parse/core/generated/JsonFormatTreeWalker.g:85:4: ^( MAPLET key value )
            {
            match(input,MAPLET,FOLLOW_MAPLET_in_maplet110); 

            match(input, Token.DOWN, null); 
            pushFollow(FOLLOW_key_in_maplet112);
            key();
            _fsp--;

            pushFollow(FOLLOW_value_in_maplet114);
            value();
            _fsp--;

            ((maplet_scope)maplet_stack.peek()).value = valueStack.pop();

            match(input, Token.UP, null); 

            }


            	((map_scope)map_stack.peek()).mapNode.setNode(((maplet_scope)maplet_stack.peek()).key, ((maplet_scope)maplet_stack.peek()).value);

        }
        catch (RecognitionException re) {
            reportError(re);
            recover(input,re);
        }
        finally {
            maplet_stack.pop();
        }
        return ;
    }
    // $ANTLR end maplet


    // $ANTLR start value
    // /Users/aclement/workspaces/engine/com.springsource.json/src/main/java/com/springsource/json/parse/core/generated/JsonFormatTreeWalker.g:89:1: value : ( map | list | literal );
    public final void value() throws RecognitionException {
        try {
            // /Users/aclement/workspaces/engine/com.springsource.json/src/main/java/com/springsource/json/parse/core/generated/JsonFormatTreeWalker.g:90:2: ( map | list | literal )
            int alt3=3;
            switch ( input.LA(1) ) {
            case MAP:
                {
                alt3=1;
                }
                break;
            case LIST:
                {
                alt3=2;
                }
                break;
            case NUMBER:
            case TRUE:
            case FALSE:
            case NULL:
            case String:
                {
                alt3=3;
                }
                break;
            default:
                NoViableAltException nvae =
                    new NoViableAltException("89:1: value : ( map | list | literal );", 3, 0, input);

                throw nvae;
            }

            switch (alt3) {
                case 1 :
                    // /Users/aclement/workspaces/engine/com.springsource.json/src/main/java/com/springsource/json/parse/core/generated/JsonFormatTreeWalker.g:90:4: map
                    {
                    pushFollow(FOLLOW_map_in_value131);
                    map();
                    _fsp--;

                    valueStack.push(mapStack.pop());

                    }
                    break;
                case 2 :
                    // /Users/aclement/workspaces/engine/com.springsource.json/src/main/java/com/springsource/json/parse/core/generated/JsonFormatTreeWalker.g:91:6: list
                    {
                    pushFollow(FOLLOW_list_in_value143);
                    list();
                    _fsp--;

                    valueStack.push(listStack.pop());

                    }
                    break;
                case 3 :
                    // /Users/aclement/workspaces/engine/com.springsource.json/src/main/java/com/springsource/json/parse/core/generated/JsonFormatTreeWalker.g:92:6: literal
                    {
                    pushFollow(FOLLOW_literal_in_value154);
                    literal();
                    _fsp--;

                     valueStack.push(literalStack.pop());

                    }
                    break;

            }
        }
        catch (RecognitionException re) {
            reportError(re);
            recover(input,re);
        }
        finally {
        }
        return ;
    }
    // $ANTLR end value


    // $ANTLR start literal
    // /Users/aclement/workspaces/engine/com.springsource.json/src/main/java/com/springsource/json/parse/core/generated/JsonFormatTreeWalker.g:96:1: literal : ( string | trueLiteral | falseLiteral | nullLiteral | number );
    public final void literal() throws RecognitionException {
        try {
            // /Users/aclement/workspaces/engine/com.springsource.json/src/main/java/com/springsource/json/parse/core/generated/JsonFormatTreeWalker.g:96:9: ( string | trueLiteral | falseLiteral | nullLiteral | number )
            int alt4=5;
            switch ( input.LA(1) ) {
            case String:
                {
                alt4=1;
                }
                break;
            case TRUE:
                {
                alt4=2;
                }
                break;
            case FALSE:
                {
                alt4=3;
                }
                break;
            case NULL:
                {
                alt4=4;
                }
                break;
            case NUMBER:
                {
                alt4=5;
                }
                break;
            default:
                NoViableAltException nvae =
                    new NoViableAltException("96:1: literal : ( string | trueLiteral | falseLiteral | nullLiteral | number );", 4, 0, input);

                throw nvae;
            }

            switch (alt4) {
                case 1 :
                    // /Users/aclement/workspaces/engine/com.springsource.json/src/main/java/com/springsource/json/parse/core/generated/JsonFormatTreeWalker.g:97:2: string
                    {
                    pushFollow(FOLLOW_string_in_literal171);
                    string();
                    _fsp--;


                    }
                    break;
                case 2 :
                    // /Users/aclement/workspaces/engine/com.springsource.json/src/main/java/com/springsource/json/parse/core/generated/JsonFormatTreeWalker.g:97:11: trueLiteral
                    {
                    pushFollow(FOLLOW_trueLiteral_in_literal175);
                    trueLiteral();
                    _fsp--;


                    }
                    break;
                case 3 :
                    // /Users/aclement/workspaces/engine/com.springsource.json/src/main/java/com/springsource/json/parse/core/generated/JsonFormatTreeWalker.g:97:25: falseLiteral
                    {
                    pushFollow(FOLLOW_falseLiteral_in_literal179);
                    falseLiteral();
                    _fsp--;


                    }
                    break;
                case 4 :
                    // /Users/aclement/workspaces/engine/com.springsource.json/src/main/java/com/springsource/json/parse/core/generated/JsonFormatTreeWalker.g:97:40: nullLiteral
                    {
                    pushFollow(FOLLOW_nullLiteral_in_literal183);
                    nullLiteral();
                    _fsp--;


                    }
                    break;
                case 5 :
                    // /Users/aclement/workspaces/engine/com.springsource.json/src/main/java/com/springsource/json/parse/core/generated/JsonFormatTreeWalker.g:97:54: number
                    {
                    pushFollow(FOLLOW_number_in_literal187);
                    number();
                    _fsp--;


                    }
                    break;

            }
        }
        catch (RecognitionException re) {
            reportError(re);
            recover(input,re);
        }
        finally {
        }
        return ;
    }
    // $ANTLR end literal

    protected static class list_scope {
        StandardListNode listNode;
    }
    protected Stack list_stack = new Stack();


    // $ANTLR start list
    // /Users/aclement/workspaces/engine/com.springsource.json/src/main/java/com/springsource/json/parse/core/generated/JsonFormatTreeWalker.g:100:1: list : ^( LIST ( value )* ) ;
    public final void list() throws RecognitionException {
        list_stack.push(new list_scope());

        	((list_scope)list_stack.peek()).listNode = new StandardListNode((atRoot()?null:this.current.peek()));
        	this.current.push(((list_scope)list_stack.peek()).listNode);

        try {
            // /Users/aclement/workspaces/engine/com.springsource.json/src/main/java/com/springsource/json/parse/core/generated/JsonFormatTreeWalker.g:116:2: ( ^( LIST ( value )* ) )
            // /Users/aclement/workspaces/engine/com.springsource.json/src/main/java/com/springsource/json/parse/core/generated/JsonFormatTreeWalker.g:116:5: ^( LIST ( value )* )
            {
            match(input,LIST,FOLLOW_LIST_in_list215); 

            if ( input.LA(1)==Token.DOWN ) {
                match(input, Token.DOWN, null); 
                // /Users/aclement/workspaces/engine/com.springsource.json/src/main/java/com/springsource/json/parse/core/generated/JsonFormatTreeWalker.g:116:13: ( value )*
                loop5:
                do {
                    int alt5=2;
                    int LA5_0 = input.LA(1);

                    if ( ((LA5_0>=NUMBER && LA5_0<=MAP)||LA5_0==LIST||(LA5_0>=TRUE && LA5_0<=String)) ) {
                        alt5=1;
                    }


                    switch (alt5) {
                	case 1 :
                	    // /Users/aclement/workspaces/engine/com.springsource.json/src/main/java/com/springsource/json/parse/core/generated/JsonFormatTreeWalker.g:116:15: value
                	    {
                	    pushFollow(FOLLOW_value_in_list219);
                	    value();
                	    _fsp--;

                	    ((list_scope)list_stack.peek()).listNode.addNode(valueStack.pop());

                	    }
                	    break;

                	default :
                	    break loop5;
                    }
                } while (true);


                match(input, Token.UP, null); 
            }

            }


            	this.current.pop();
            	if (atRoot()) {
            	    rootNode = ((list_scope)list_stack.peek()).listNode;
            	} else {
            	    listStack.push(((list_scope)list_stack.peek()).listNode);
            	}

        }
        catch (RecognitionException re) {
            reportError(re);
            recover(input,re);
        }
        finally {
            list_stack.pop();
        }
        return ;
    }
    // $ANTLR end list


    // $ANTLR start key
    // /Users/aclement/workspaces/engine/com.springsource.json/src/main/java/com/springsource/json/parse/core/generated/JsonFormatTreeWalker.g:119:1: key : ^( KEY String ) ;
    public final void key() throws RecognitionException {
        CommonTree String1=null;

        try {
            // /Users/aclement/workspaces/engine/com.springsource.json/src/main/java/com/springsource/json/parse/core/generated/JsonFormatTreeWalker.g:119:5: ( ^( KEY String ) )
            // /Users/aclement/workspaces/engine/com.springsource.json/src/main/java/com/springsource/json/parse/core/generated/JsonFormatTreeWalker.g:119:8: ^( KEY String )
            {
            match(input,KEY,FOLLOW_KEY_in_key240); 

            match(input, Token.DOWN, null); 
            String1=(CommonTree)input.LT(1);
            match(input,String,FOLLOW_String_in_key242); 
            ((maplet_scope)maplet_stack.peek()).key =String1.getText();

            match(input, Token.UP, null); 

            }

        }
        catch (RecognitionException re) {
            reportError(re);
            recover(input,re);
        }
        finally {
        }
        return ;
    }
    // $ANTLR end key


    // $ANTLR start string
    // /Users/aclement/workspaces/engine/com.springsource.json/src/main/java/com/springsource/json/parse/core/generated/JsonFormatTreeWalker.g:121:1: string : ^( String ) ;
    public final void string() throws RecognitionException {
        CommonTree String2=null;

        try {
            // /Users/aclement/workspaces/engine/com.springsource.json/src/main/java/com/springsource/json/parse/core/generated/JsonFormatTreeWalker.g:121:11: ( ^( String ) )
            // /Users/aclement/workspaces/engine/com.springsource.json/src/main/java/com/springsource/json/parse/core/generated/JsonFormatTreeWalker.g:121:13: ^( String )
            {
            String2=(CommonTree)input.LT(1);
            match(input,String,FOLLOW_String_in_string262); 

            literalStack.push(new StandardStringNode(this.current.peek(), String2.getText()));

            if ( input.LA(1)==Token.DOWN ) {
                match(input, Token.DOWN, null); 
                match(input, Token.UP, null); 
            }

            }

        }
        catch (RecognitionException re) {
            reportError(re);
            recover(input,re);
        }
        finally {
        }
        return ;
    }
    // $ANTLR end string


    // $ANTLR start trueLiteral
    // /Users/aclement/workspaces/engine/com.springsource.json/src/main/java/com/springsource/json/parse/core/generated/JsonFormatTreeWalker.g:122:1: trueLiteral : ^( TRUE ) ;
    public final void trueLiteral() throws RecognitionException {
        try {
            // /Users/aclement/workspaces/engine/com.springsource.json/src/main/java/com/springsource/json/parse/core/generated/JsonFormatTreeWalker.g:122:17: ( ^( TRUE ) )
            // /Users/aclement/workspaces/engine/com.springsource.json/src/main/java/com/springsource/json/parse/core/generated/JsonFormatTreeWalker.g:122:19: ^( TRUE )
            {
            match(input,TRUE,FOLLOW_TRUE_in_trueLiteral279); 

            literalStack.push(new StandardBooleanNode(this.current.peek(), true));

            if ( input.LA(1)==Token.DOWN ) {
                match(input, Token.DOWN, null); 
                match(input, Token.UP, null); 
            }

            }

        }
        catch (RecognitionException re) {
            reportError(re);
            recover(input,re);
        }
        finally {
        }
        return ;
    }
    // $ANTLR end trueLiteral


    // $ANTLR start falseLiteral
    // /Users/aclement/workspaces/engine/com.springsource.json/src/main/java/com/springsource/json/parse/core/generated/JsonFormatTreeWalker.g:123:1: falseLiteral : ^( FALSE ) ;
    public final void falseLiteral() throws RecognitionException {
        try {
            // /Users/aclement/workspaces/engine/com.springsource.json/src/main/java/com/springsource/json/parse/core/generated/JsonFormatTreeWalker.g:123:17: ( ^( FALSE ) )
            // /Users/aclement/workspaces/engine/com.springsource.json/src/main/java/com/springsource/json/parse/core/generated/JsonFormatTreeWalker.g:123:19: ^( FALSE )
            {
            match(input,FALSE,FOLLOW_FALSE_in_falseLiteral295); 

            literalStack.push(new StandardBooleanNode(this.current.peek(), false));

            if ( input.LA(1)==Token.DOWN ) {
                match(input, Token.DOWN, null); 
                match(input, Token.UP, null); 
            }

            }

        }
        catch (RecognitionException re) {
            reportError(re);
            recover(input,re);
        }
        finally {
        }
        return ;
    }
    // $ANTLR end falseLiteral


    // $ANTLR start nullLiteral
    // /Users/aclement/workspaces/engine/com.springsource.json/src/main/java/com/springsource/json/parse/core/generated/JsonFormatTreeWalker.g:124:1: nullLiteral : ^( NULL ) ;
    public final void nullLiteral() throws RecognitionException {
        try {
            // /Users/aclement/workspaces/engine/com.springsource.json/src/main/java/com/springsource/json/parse/core/generated/JsonFormatTreeWalker.g:124:17: ( ^( NULL ) )
            // /Users/aclement/workspaces/engine/com.springsource.json/src/main/java/com/springsource/json/parse/core/generated/JsonFormatTreeWalker.g:124:19: ^( NULL )
            {
            match(input,NULL,FOLLOW_NULL_in_nullLiteral312); 

            literalStack.push(new StandardNullNode(this.current.peek()));

            if ( input.LA(1)==Token.DOWN ) {
                match(input, Token.DOWN, null); 
                match(input, Token.UP, null); 
            }

            }

        }
        catch (RecognitionException re) {
            reportError(re);
            recover(input,re);
        }
        finally {
        }
        return ;
    }
    // $ANTLR end nullLiteral

    protected static class number_scope {
        String base;
        String exponent;
    }
    protected Stack number_stack = new Stack();


    // $ANTLR start number
    // /Users/aclement/workspaces/engine/com.springsource.json/src/main/java/com/springsource/json/parse/core/generated/JsonFormatTreeWalker.g:126:1: number : ^( NUMBER ( SimpleNumber )? ( Exponent )? ) ;
    public final void number() throws RecognitionException {
        number_stack.push(new number_scope());
        CommonTree SimpleNumber3=null;
        CommonTree Exponent4=null;

        try {
            // /Users/aclement/workspaces/engine/com.springsource.json/src/main/java/com/springsource/json/parse/core/generated/JsonFormatTreeWalker.g:134:1: ( ^( NUMBER ( SimpleNumber )? ( Exponent )? ) )
            // /Users/aclement/workspaces/engine/com.springsource.json/src/main/java/com/springsource/json/parse/core/generated/JsonFormatTreeWalker.g:135:1: ^( NUMBER ( SimpleNumber )? ( Exponent )? )
            {
            match(input,NUMBER,FOLLOW_NUMBER_in_number337); 

            if ( input.LA(1)==Token.DOWN ) {
                match(input, Token.DOWN, null); 
                // /Users/aclement/workspaces/engine/com.springsource.json/src/main/java/com/springsource/json/parse/core/generated/JsonFormatTreeWalker.g:135:11: ( SimpleNumber )?
                int alt6=2;
                int LA6_0 = input.LA(1);

                if ( (LA6_0==SimpleNumber) ) {
                    alt6=1;
                }
                switch (alt6) {
                    case 1 :
                        // /Users/aclement/workspaces/engine/com.springsource.json/src/main/java/com/springsource/json/parse/core/generated/JsonFormatTreeWalker.g:135:12: SimpleNumber
                        {
                        SimpleNumber3=(CommonTree)input.LT(1);
                        match(input,SimpleNumber,FOLLOW_SimpleNumber_in_number340); 
                         ((number_scope)number_stack.peek()).base =SimpleNumber3.getText();

                        }
                        break;

                }

                // /Users/aclement/workspaces/engine/com.springsource.json/src/main/java/com/springsource/json/parse/core/generated/JsonFormatTreeWalker.g:135:65: ( Exponent )?
                int alt7=2;
                int LA7_0 = input.LA(1);

                if ( (LA7_0==Exponent) ) {
                    alt7=1;
                }
                switch (alt7) {
                    case 1 :
                        // /Users/aclement/workspaces/engine/com.springsource.json/src/main/java/com/springsource/json/parse/core/generated/JsonFormatTreeWalker.g:135:66: Exponent
                        {
                        Exponent4=(CommonTree)input.LT(1);
                        match(input,Exponent,FOLLOW_Exponent_in_number348); 
                         ((number_scope)number_stack.peek()).exponent =Exponent4.getText();

                        }
                        break;

                }


                match(input, Token.UP, null); 
            }

            }


              literalStack.push(new StandardNumberNode(this.current.peek(),((number_scope)number_stack.peek()).base+(((number_scope)number_stack.peek()).exponent==null?"":((number_scope)number_stack.peek()).exponent)));

        }
        catch (RecognitionException re) {
            reportError(re);
            recover(input,re);
        }
        finally {
            number_stack.pop();
        }
        return ;
    }
    // $ANTLR end number


 

    public static final BitSet FOLLOW_map_in_objects49 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_list_in_objects53 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_MAP_in_map81 = new BitSet(new long[]{0x0000000000000004L});
    public static final BitSet FOLLOW_maplet_in_map84 = new BitSet(new long[]{0x0000000000000048L});
    public static final BitSet FOLLOW_MAPLET_in_maplet110 = new BitSet(new long[]{0x0000000000000004L});
    public static final BitSet FOLLOW_key_in_maplet112 = new BitSet(new long[]{0x0000000000003CB0L});
    public static final BitSet FOLLOW_value_in_maplet114 = new BitSet(new long[]{0x0000000000000008L});
    public static final BitSet FOLLOW_map_in_value131 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_list_in_value143 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_literal_in_value154 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_string_in_literal171 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_trueLiteral_in_literal175 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_falseLiteral_in_literal179 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_nullLiteral_in_literal183 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_number_in_literal187 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_LIST_in_list215 = new BitSet(new long[]{0x0000000000000004L});
    public static final BitSet FOLLOW_value_in_list219 = new BitSet(new long[]{0x0000000000003CB8L});
    public static final BitSet FOLLOW_KEY_in_key240 = new BitSet(new long[]{0x0000000000000004L});
    public static final BitSet FOLLOW_String_in_key242 = new BitSet(new long[]{0x0000000000000008L});
    public static final BitSet FOLLOW_String_in_string262 = new BitSet(new long[]{0x0000000000000004L});
    public static final BitSet FOLLOW_TRUE_in_trueLiteral279 = new BitSet(new long[]{0x0000000000000004L});
    public static final BitSet FOLLOW_FALSE_in_falseLiteral295 = new BitSet(new long[]{0x0000000000000004L});
    public static final BitSet FOLLOW_NULL_in_nullLiteral312 = new BitSet(new long[]{0x0000000000000004L});
    public static final BitSet FOLLOW_NUMBER_in_number337 = new BitSet(new long[]{0x0000000000000004L});
    public static final BitSet FOLLOW_SimpleNumber_in_number340 = new BitSet(new long[]{0x0000000000008008L});
    public static final BitSet FOLLOW_Exponent_in_number348 = new BitSet(new long[]{0x0000000000000008L});

}