lexer grammar JsonFormat;
@members {
}
@header {
package com.springsource.json.parse.core.generated;

}

TRUE : 'true' ;
FALSE : 'false' ;
NULL : 'null' ;
T26 : '{' ;
T27 : ',' ;
T28 : '}' ;
T29 : ':' ;
T30 : '[' ;
T31 : ']' ;

// $ANTLR src "/Users/aclement/workspaces/engine/com.springsource.json/src/main/java/com/springsource/json/parse/core/generated/JsonFormat.g" 75
SimpleNumber: ('-')? ('0' | NON_ZERO_PREFIXED_DIGITS) ( '.' ANY_DIGITS)?;
// $ANTLR src "/Users/aclement/workspaces/engine/com.springsource.json/src/main/java/com/springsource/json/parse/core/generated/JsonFormat.g" 76
Exponent: ('e'|'E') ('+'|'-')? ANY_DIGITS;	
	
// $ANTLR src "/Users/aclement/workspaces/engine/com.springsource.json/src/main/java/com/springsource/json/parse/core/generated/JsonFormat.g" 78
String 	: '"' ( EscapeSequence | ~('\u0000'..'\u001f' | '\\' | '\"' ) )*  '"' ;
// $ANTLR src "/Users/aclement/workspaces/engine/com.springsource.json/src/main/java/com/springsource/json/parse/core/generated/JsonFormat.g" 79
fragment NON_ZERO_PREFIXED_DIGITS : DIGIT19 (DIGIT*); // digit 1-9 followed by any number of digits 0-9
// $ANTLR src "/Users/aclement/workspaces/engine/com.springsource.json/src/main/java/com/springsource/json/parse/core/generated/JsonFormat.g" 80
fragment ANY_DIGITS : DIGIT (DIGIT*);  // any number of digits 0-9
// $ANTLR src "/Users/aclement/workspaces/engine/com.springsource.json/src/main/java/com/springsource/json/parse/core/generated/JsonFormat.g" 81
fragment EscapeSequence
    	:   '\\' (UnicodeEscape |'b'|'t'|'n'|'f'|'r'|'\"'|'\''|'\\'|'/');
// $ANTLR src "/Users/aclement/workspaces/engine/com.springsource.json/src/main/java/com/springsource/json/parse/core/generated/JsonFormat.g" 83
fragment UnicodeEscape : 'u' HexDigit HexDigit HexDigit HexDigit ;
// $ANTLR src "/Users/aclement/workspaces/engine/com.springsource.json/src/main/java/com/springsource/json/parse/core/generated/JsonFormat.g" 84
fragment HexDigit : '0'..'9' | 'A'..'F' | 'a'..'f' ;
// $ANTLR src "/Users/aclement/workspaces/engine/com.springsource.json/src/main/java/com/springsource/json/parse/core/generated/JsonFormat.g" 85
fragment DIGIT : '0' .. '9';
// $ANTLR src "/Users/aclement/workspaces/engine/com.springsource.json/src/main/java/com/springsource/json/parse/core/generated/JsonFormat.g" 86
fragment DIGIT19 : '1' .. '9';
 
// $ANTLR src "/Users/aclement/workspaces/engine/com.springsource.json/src/main/java/com/springsource/json/parse/core/generated/JsonFormat.g" 88
COMMENT      : '/*' .* '*/' { skip() ;} ;
// $ANTLR src "/Users/aclement/workspaces/engine/com.springsource.json/src/main/java/com/springsource/json/parse/core/generated/JsonFormat.g" 89
LINE_COMMENT : '//' ~( '\n' | '\r' )* '\r'? '\n' { skip() ;} ;	
// $ANTLR src "/Users/aclement/workspaces/engine/com.springsource.json/src/main/java/com/springsource/json/parse/core/generated/JsonFormat.g" 90
WHITESPACE   : ( ' ' | '\n' | '\r' | '\t' )+ { skip() ;} ;
